View Issue Details

IDProjectCategoryView StatusLast Update
0002421ScribusStory Editor / Text Framespublic2017-03-01 22:09
ReporterTomK32 Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
PlatformMacOSXOSMacOSXOS Version10.4 Tiger
Product Version 
Target Version1.5.5Fixed in Version 
Summary0002421: Default charset for text import on Mac OS X
Descriptionafter copy'n'paste under mac ain't working perfect i often import text regularly and wish utf-8 to be default or at least the form to remember which codeset was used last time.
Tags#pending
PatchNo

Activities

cbradney

2005-08-12 12:25

administrator   ~0006091

Yes, should be utf8 by default

ringerc

2005-08-13 05:06

reporter   ~0006097

I'd argue it should use the system locale by default, actually.

If your system is set to ISO-8859-15, you'd expect that a file you just created in the default charset would be imported unmangled. If we force a UTF-8 default, that won't happen.

It'd be *nice* if everyone used utf-8, but the system locale's charset is probably the more correct choice of default. A pref to override it might not be a bad plan though.

cbradney

2005-08-13 22:03

administrator   ~0006111

Yes, ok, makes sense to assign to system default.. This one is for you ringerc? :=)

ringerc

2005-08-14 08:32

reporter   ~0006112

Nothing to do - looks like that's the default behaviour already. Riku rocks.

Tom32k, if you run:

$ locale

what is the output? My guess is that you're not in a UTF-8 locale. I'd expect Mac OS X to use a UTF-8 locale by default, but perhaps its POSIX subsystem does not for some reason.

I'll need to look at some Apple specs, but if Mac GUI apps work in UTF-8 by convention then Scribus should do the same on Mac OS X as a special case.

TomK32

2005-08-14 09:12

reporter   ~0006113

nothing we could work with i think.

<code>
$ locale
LANG=
LC_COLLATE="C"
LC_CTYPE="C"
LC_MESSAGES="C"
LC_MONETARY="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_ALL="C"
</code>

there's no /etc/locale* anyways. it would be enough for me if scribus would remember the last charset used.

ringerc

2005-08-14 09:31

reporter   ~0006114

Yes - Mac OS X's locale settings appear to be completely braindead. Woohoo. Those settings imply 7-bit ASCII (not even ISO-8859-1). We're going to have to ignore them I suspect.

My personal opinion is that "last charset used" is the wrong behaviour for most people. You'll generally be working with files in a given encoding, with others being an unusual exception. Personally, I'd be surprised if the setting was remembered, as the next time I went to import a text file I'd get mangled text.

A pref might be the way to go. Sound reasonable?

I couldn't find any recommendation on default character encoding in the Apple developer docs when I did a quick search, but will have to look in more detail later. If they have a recommended encoding we should default to that. Otherwise, whatever most other apps on the platform default to - hopefully UTF-8.

ringerc

2005-09-09 02:10

reporter   ~0006483

Unassigning. I won't get to this for a while, so if anyone else wants to pick it up, free free.

Patches also accepted, so long as they fit the coding style, are platform independent, and are sensibly designed. If anybody's thinkig of working on it, it might be best to drop by IRC or post here with your implementation ideas.

Kunda

2016-12-09 02:06

manager   ~0042806

@cbradney due to CTL merge can you double check on this issue to see if it's still relevant ?

Issue History

Date Modified Username Field Change
2005-08-11 15:53 TomK32 New Issue
2005-08-12 12:25 cbradney Summary default charset für text-import => Default charset for text import
2005-08-12 12:25 cbradney Note Added: 0006091
2005-08-13 05:06 ringerc Note Added: 0006097
2005-08-13 05:07 ringerc Status new => acknowledged
2005-08-13 22:03 cbradney Note Added: 0006111
2005-08-14 08:27 ringerc Status acknowledged => assigned
2005-08-14 08:27 ringerc Assigned To => ringerc
2005-08-14 08:32 ringerc Note Added: 0006112
2005-08-14 09:12 TomK32 Note Added: 0006113
2005-08-14 09:31 ringerc Note Added: 0006114
2005-09-09 02:10 ringerc Note Added: 0006483
2005-09-09 02:10 ringerc Assigned To ringerc =>
2005-09-09 02:10 ringerc Status assigned => acknowledged
2005-09-09 02:10 ringerc Summary Default charset for text import => Default charset for text import on Mac OS X
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-12-09 02:06 Kunda Note Added: 0042806
2016-12-09 02:06 Kunda Tag Attached: #pending
2016-12-13 01:02 Kunda Target Version => 1.5.3
2016-12-13 01:02 Kunda Patch => No
2017-03-01 22:09 cbradney Target Version 1.5.3 => 1.5.5